This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 816472

Summary: [cifs] WARNING: at fs/inode.c:290 drop_nlink+0x38/0x40()
Product: [Fedora] Fedora Reporter: Reinier Balt <lrbalt>
Component: kernelAssignee: Sachin Prabhu <sprabhu>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: florian_kr, gansalmon, itamar, jforbes, jonathan, jstancek, kernel-maint, madhu.chinakonda, pahan, sanjay.ankur, sprabhu, yannchvl, zegmaarhayke
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:91afab6afe9e9f89ffd012b76f348cca78f8e492
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-13 10:39:59 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Reinier Balt 2012-04-26 03:42:29 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.1-3.fc16.i686 root=/dev/mapper/vg_gandalf-lv_root ro rd.md=0 rd.dm=0 quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 rd.lvm.lv=vg_gandalf/lv_swap KEYTABLE=us-acentos rd.lvm.lv=vg_gandalf/lv_root LANG=en_US.UTF-8
comment:        sorry, it was there when I logged in
kernel:         3.3.1-3.fc16.i686
reason:         [568881.295460] WARNING: at fs/inode.c:290 drop_nlink+0x38/0x40()
time:           Thu 19 Apr 2012 03:04:47 AM CEST

backtrace:
:[568881.295460] WARNING: at fs/inode.c:290 drop_nlink+0x38/0x40()
:[568881.295463] Hardware name: Veriton L460
:[568881.295466] Modules linked in: nls_iso8859_1 des_generic md4 nls_utf8 cifs fscache binfmt_misc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi 8021q fcoe cxgb3 mdio garp libfcoe ib_iser libfc scsi_transport_fc stp llc rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr scsi_tgt iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd i2c_i801 soundcore snd_page_alloc microcode serio_raw uinput iTCO_wdt iTCO_vendor_support e1000e usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:[568881.295549] Pid: 17695, comm: rsync Tainted: G        W    3.3.1-3.fc16.i686 #1
:[568881.295553] Call Trace:
:[568881.295560]  [<c0926c86>] ? printk+0x2d/0x2f
:[568881.295568]  [<c0437292>] warn_slowpath_common+0x72/0xa0
:[568881.295574]  [<c054ada8>] ? drop_nlink+0x38/0x40
:[568881.295579]  [<c054ada8>] ? drop_nlink+0x38/0x40
:[568881.295585]  [<c04372e2>] warn_slowpath_null+0x22/0x30
:[568881.295590]  [<c054ada8>] drop_nlink+0x38/0x40
:[568881.295607]  [<f96050e7>] cifs_unlink+0x187/0x650 [cifs]
:[568881.295621]  [<f960619f>] ? cifs_revalidate_dentry_attr+0x2f/0x1a0 [cifs]
:[568881.295628]  [<c0541033>] ? path_lookupat+0x63/0x660
:[568881.295634]  [<c053f198>] ? may_delete+0x58/0x160
:[568881.295640]  [<c053fca1>] vfs_unlink+0x81/0x100
:[568881.295645]  [<c0541a4d>] do_unlinkat+0x11d/0x140
:[568881.295653]  [<c04a70be>] ? __audit_syscall_exit+0x36e/0x3a0
:[568881.295659]  [<c040dc10>] ? syscall_trace_leave+0x70/0xe0
:[568881.295665]  [<c0542c25>] sys_unlink+0x15/0x20
:[568881.295671]  [<c092e964>] syscall_call+0x7/0xb
:[568881.295677]  [<c0920000>] ? start_secondary+0x27/0x28d

smolt_data:
:
:
:General
:=================================
:UUID: 34d3fcbf-0aba-4360-ae49-fa35b156c342
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4788.09
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) Dual  CPU  E2220  @ 2.40GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2400
:System Memory: 2008
:System Swap: 4031
:Vendor: Acer
:System: Veriton L460 R02-B2
:Form factor: Desktop
:Kernel: 3.3.1-3.fc16.i686
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:4250:4187:3573) pci, e1000e, ETHERNET, 82573L Gigabit Ethernet Controller
:(32902:10690:4187:3573) pci, i915, VIDEO, 82G33/G31 Express Integrated Graphics Controller
:(32902:10691:4187:3573) pci, None, VIDEO, 82G33/G31 Express Integrated Graphics Controller
:(32902:10192:4187:3573) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10160:4187:3573) pci, None, PCI/ISA, 82801GH (ICH7DH) LPC Interface Bridge
:(32902:10200:4187:3573) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10207:4187:3573) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:10196:4187:3573) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:10202:4187:3573) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9294:4187:3573) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10176:4187:3573) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10185:4187:3573) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:4187:3573) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10688:4187:3573) pci, agpgart-intel, HOST/PCI, 82G33/G31/P35/P31 Express DRAM Controller
:(32902:10186:4187:3573) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:4187:3573) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:4187:3573) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_gandalf-lv_root / ext4 4096 4096 13092026 10171406 10040374 3276800 2954616 2954616
:/dev/sdb1 WITHHELD ext3 4096 4096 60082955 9466539 6414089 30539776 30297205 30297205
:/dev/sda2 /boot ext4 1024 1024 508745 411796 386196 128016 127781 127781
:/dev/mapper/vg_gandalf-lv_home /home ext4 4096 4096 61237245 59539327 56473881 15327232 15299700 15299700
:
Comment 1 Justin M. Forbes 2012-05-10 13:02:11 EDT
*** Bug 820155 has been marked as a duplicate of this bug. ***
Comment 2 vvs 2012-07-20 06:03:32 EDT
Fedora 17
kernel-PAE-3.4.5-2.fc17.i686

dmesg:
[  589.042458] ------------[ cut here ]------------
[  589.042472] WARNING: at fs/inode.c:280 drop_nlink+0x38/0x40()
[  589.042476] Hardware name: HP Compaq dx2300 Microtower
[  589.042479] Modules linked in: md4 nls_utf8 cifs fscache fuse lockd bnep bluetooth rfkill sunrpc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i cxgb3 tpm_bios mdio libcxgbi ib_iser rdma_cm ib_addr iw_cm ib_cm ib_sa ib_mad ib_core iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_page_alloc snd_timer ppdev snd iTCO_wdt iTCO_vendor_support soundcore parport_pc e100 mii i2c_i801 parport microcode serio_raw uinput i915 video i2c_algo_bit drm_kms_helper drm i2c_core [last unloaded: scsi_wait_scan]
[  589.042569] Pid: 2089, comm: mc Not tainted 3.4.5-2.fc17.i686.PAE #1
[  589.042573] Call Trace:
[  589.042583]  [<c0943378>] ? printk+0x2d/0x2f
[  589.042592]  [<c04464c2>] warn_slowpath_common+0x72/0xa0
[  589.042598]  [<c055d6a8>] ? drop_nlink+0x38/0x40
[  589.042603]  [<c055d6a8>] ? drop_nlink+0x38/0x40
[  589.042609]  [<c0446512>] warn_slowpath_null+0x22/0x30
[  589.042614]  [<c055d6a8>] drop_nlink+0x38/0x40
[  589.042632]  [<f95846ff>] cifs_unlink+0x22f/0x650 [cifs]
[  589.042641]  [<c06195ab>] ? may_link.isra.26+0xdb/0x130
[  589.042649]  [<c0552a91>] vfs_unlink+0x81/0xf0
[  589.042655]  [<c05548f5>] do_unlinkat+0x115/0x140
[  589.042663]  [<c04b46b6>] ? __audit_syscall_exit+0x356/0x3b0
[  589.042668]  [<c04b418c>] ? __audit_syscall_entry+0xbc/0x290
[  589.042674]  [<c04b46b6>] ? __audit_syscall_exit+0x356/0x3b0
[  589.042680]  [<c0555ba5>] sys_unlink+0x15/0x20
[  589.042688]  [<c0952e1f>] sysenter_do_call+0x12/0x28
[  589.042692] ---[ end trace 6b2f4f8cbae7949c ]---


This is always happening when I try to copy files to CIFS using mc. Files are copied successfuly, however their timestamps are not updated.
Comment 3 Florian Krammel 2012-10-04 05:00:32 EDT
mount samba share from NAS (Zyxel NSA310) to a directory. 
delete "recycle" directory.


Package: kernel
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 4 Sachin Prabhu 2012-10-05 06:30:33 EDT
*** Bug 849598 has been marked as a duplicate of this bug. ***
Comment 5 Sachin Prabhu 2012-10-05 06:33:17 EDT
commit b7ca69289680cf631fb20b7d436467c4ec1153cd
Author: Steve French <smfrench@gmail.com>
Date:   Fri Aug 3 08:43:01 2012 -0500

    CIFS: Protect i_nlink from being negative
    
    that can cause warning messages.  Pavel had initially
    suggested a smaller patch around drop_nlink, after
    a similar problem was discovered NFS.  Protecting
    additional places where nlink is touched was
    suggested by Jeff Layton and is included in this.
    
    Reviewed-by: Pavel Shilovsky <pshilovsky@samba.org>
    Reviewed-by: Jeff Layton <jlayton@redhat.com>
    Signed-off-by: Steve French <sfrench@us.ibm.com>
    Signed-off-by: Steve French <smfrench@gmail.com>
Comment 6 Sachin Prabhu 2012-10-10 06:01:55 EDT
*** Bug 863228 has been marked as a duplicate of this bug. ***
Comment 7 Sachin Prabhu 2012-10-10 06:34:33 EDT
The fix was included in 3.6-rc3  in the upstream kernel.

Confirmed that rawhide kernel-3.7.0-0.rc0.git3.1.fc19 contains this patch.
Comment 8 Hayke 2012-10-12 03:30:04 EDT
update, reboot.

Package: kernel
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 Dave Jones 2012-10-23 11:29:04 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 10 Justin M. Forbes 2012-11-13 10:39:59 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.
Comment 11 Reinier Balt 2012-11-14 01:51:57 EST
I did not find time to test. Will reopen if I find the issue again. Thanks so far!